<?php

namespace FiloBlu\ExtAmastyGeoipRedirect\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

/**
 * @codeCoverageIgnore
 */
class InstallSchema implements InstallSchemaInterface {

    /**
     * {@inheritdoc}
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context) {
        $installer = $setup;

        $installer->startSetup();

        /**
         * Create table 'filoblu_extamastygeoipredirect_continent'
         */
        if (!$installer->tableExists('filoblu_extamastygeoipredirect_continent')) {
            $table = $installer->getConnection()->newTable(
                            $installer->getTable('filoblu_extamastygeoipredirect_continent'))
                    ->addColumn(
                            'continent_id',
                            \Magento\Framework\DB\Ddl\Table::TYPE_INTEGER,
                            null,
                            ['identity' => true, 'unsigned' => true, 'nullable' => false, 'primary' => true],
                            'Continent Id'
                            )
                    ->addColumn(
                            'continent', 
                            \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                            30,
                            ['nullable' => false]
                            , 'Continent'
                    )->addColumn(
                            'position', 
                            \Magento\Framework\DB\Ddl\Table::TYPE_INTEGER, 
                            null, 
                            ['nullable' => false], 
                            'Position'
                    )
                    ->addIndex(
                            $setup->getIdxName('filoblu_extamastygeoipredirect_continent', ['continent_id']), ['continent_id']
                    )
                    ->setComment(
                    'Continents'
            );
            $installer->getConnection()->createTable($table);
        }
        
        /**
         * Create table 'filoblu_extamastygeoipredirect_country_continent'
         */
        if (!$installer->tableExists('filoblu_extamastygeoipredirect_country_continent')) {
            $table = $installer->getConnection()->newTable(
                            $installer->getTable('filoblu_extamastygeoipredirect_country_continent'))
                    ->addColumn(
                            'country_id', 
                            \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                            5,
                            [
                                'unsigned' => true,
                                'nullable' => false,
                                'primary' => true,
                            ]
                            , 'Country Id'
                    )->addColumn(
                            'country_name', 
                            \Magento\Framework\DB\Ddl\Table::TYPE_TEXT, 
                            100, 
                            ['nullable' => false], 
                            'Country Name'
                    )->addColumn(
                            'continent_id', 
                            \Magento\Framework\DB\Ddl\Table::TYPE_INTEGER, 
                            null, 
                            ['nullable' => false], 
                            'Continent Id'
                    )
                    ->addIndex(
                            $setup->getIdxName('filoblu_extamastygeoipredirect_country_continent', ['country_id']), ['country_id']
                    )
                     ->addIndex(
                            $setup->getIdxName('filoblu_extamastygeoipredirect_country_continent', ['continent_id']), ['continent_id']
                    )
                    ->setComment(
                    'Relation Between Country And Continent'
            );
            $installer->getConnection()->createTable($table);
        }

        $installer->endSetup();
    }

}
